Package gov.nasa.gsfc.sscweb.schema

# Class SatelliteConjunction

java.lang.Object
gov.nasa.gsfc.sscweb.schema.SatelliteConjunction

public class SatelliteConjunction extends Object
Description of satellite's conjunction. <p>Java class for SatelliteConjunction complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SatelliteConjunction"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Satellite" type="{http://sscweb.gsfc.nasa.gov/schema}SatelliteId"/> <element name="Description" type="{http://sscweb.gsfc.nasa.gov/schema}ConjunctionDescription" maxOccurs="2"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<ConjunctionDescription>`
  `description`
  Description of satellite at the begining and ending conjunction times.
  `protected String`
  `satellite`
  Satellite identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SatelliteConjunction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ConjunctionDescription>`
  `getDescription()`
  Description of satellite at the begining and ending conjunction times.
  `String`
  `getSatellite()`
  Satellite identifier.
  `void`
  `setSatellite(String value)`
  Sets the value of the satellite property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### satellite

    protected String satellite
    Satellite identifier.

  - ### description

    protected List<ConjunctionDescription> description
    Description of satellite at the begining and ending conjunction times.

- ## Constructor Details

  - ### SatelliteConjunction

    public SatelliteConjunction()

- ## Method Details

  - ### getSatellite

    public String getSatellite()
    Satellite identifier.
    Returns:
      possible object is `String`

  - ### setSatellite

    public void setSatellite(String value)
    Sets the value of the satellite property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSatellite()`

  - ### getDescription

    public List<ConjunctionDescription> getDescription()
    Description of satellite at the begining and ending conjunction times. Gets the value of the description property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the description property.

    For example, to add a new item, do as follows:

         getDescription().add(newItem);

    Objects of the following type(s) are allowed in the list `ConjunctionDescription`

    Returns:
      The value of the description property.